actions: []
api_documentation: http://docs.ros.org/en/noetic/api/fanuc_lrmate200id_support/html
authors: G.A. vd. Hoorn (TU Delft Robotics Institute)
brief: ''
bugtracker: https://github.com/ros-industrial/fanuc/issues
depends:
- catkin
- fanuc_driver
- fanuc_resources
- industrial_robot_client
- joint_state_publisher_gui
- robot_state_publisher
- rviz
- xacro
depends_on:
- fanuc
- fanuc_lrmate200id7l_moveit_config
- fanuc_lrmate200id_moveit_config
description: "<p>\n      ROS-Industrial support for the Fanuc LR Mate 200iD (and variants).\n\
  \    </p>\n    <p>\n      This package contains configuration data, 3D models and\
  \ launch files\n      for Fanuc LR Mate 200iD manipulators. This includes the base\n\
  \      model (/7C, /7WP), /7H, /7L, /7LC and the /4S, /4SC and /4SH.\n      The\
  \ variants in parentheses are supported by the files for the variant\n      immediately\
  \ preceeding the parentheses.\n    </p>\n    <p><b>Specifications</b>:</p>\n   \
  \ <ul>\n      <li>LR Mate 200iD - &quot;J1 - Normal Range&quot;</li>\n      <li>LR\
  \ Mate 200iD/4S - &quot;J1 - Normal Range&quot;</li>\n      <li>LR Mate 200iD/4SC\
  \ - &quot;J1 - Normal Range&quot;</li>\n      <li>LR Mate 200iD/4SH - &quot;J1 -\
  \ Normal Range; J5 - Horizontal Wrist Zero&quot;</li>\n      <li>LR Mate 200iD/7H\
  \ - &quot;J1 - Normal Range; J5 - Horizontal Wrist Zero&quot;</li>\n      <li>LR\
  \ Mate 200iD/7L - &quot;J1 - Normal Range&quot;</li>\n      <li>LR Mate 200iD/7LC\
  \ - &quot;J1 - Normal Range&quot;</li>\n    </ul>\n    <p>\n      Joint limits and\
  \ maximum joint velocities are based on the information in\n      the <em>FANUC\
  \ Robot LR Mate 200iD Mechanical Unit Operator's Manual</em>\n      version <em>B-83494EN/03</em>\
  \ and the\n      <em>FANUC Robot LR Mate 200iD/4S/4SH/4SC Mechanical Unit Operator's\
  \ Manual</em>\n      version <em>B-83574EN/03</em>. All urdfs are based on the default\
  \ motion\n      and joint velocity limits, unless noted otherwise (ie: no support\
  \ for\n      high speed joints, extended / limited motion ranges or other options).\n\
  \    </p>\n    <p>\n      Before using any of the configuration files and / or meshes\
  \ included\n      in this package, be sure to check they are correct for the particular\n\
  \      robot model and configuration you intend to use them with.\n    </p>"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__fanuc__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__fanuc__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
metapackages:
- fanuc
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__fanuc_lrmate200id_support__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__fanuc_lrmate200id_support__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__fanuc_lrmate200id_support__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__fanuc_lrmate200id_support__ubuntu_focal_arm64__binary
repo_name: fanuc
repo_url: https://github.com/ros-industrial/fanuc
srvs: []
timestamp: 1740052982.5496519
url: http://wiki.ros.org/fanuc_lrmate200id_support
vcs: git
vcs_uri: https://github.com/ros-industrial/fanuc.git
vcs_version: noetic
